#ifndef _ZEIPISDESKTOPEPG_H_
#define _ZEIPISDESKTOPEPG_H_

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <qapplication.h>
#include <qstring.h>
class MainWindow;

/**
 * @short Application Main Window
 * @author Ben Bucksch <ben>
 * @version 0.1
 */
class ZeipisDesktopEPG : public QApplication
{
public:
    ZeipisDesktopEPG(int& argc, char** argv);
    virtual ~ZeipisDesktopEPG();

    QString& coreServerHostname();

protected:
    void readConfigAndOpenDB();
    QString* myCoreServerHostname;
    int myCoreServerPort;
    MainWindow* myMainWindow;
};

#endif
